Skip to main content
POST
/
google-drive
/
installations
/
{installation_id}
/
sync
Trigger Google Drive Sync
curl --request POST \
  --url https://apigcp.trynia.ai/v2/google-drive/installations/{installation_id}/sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "force_full": false,
  "scope_ids": [
    "<string>"
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

installation_id
string
required

Body

application/json
force_full
boolean
default:false

Force a full rebuild instead of incremental sync

scope_ids
string[]

Optional sync scope IDs to limit the sync run

Response

Successful Response